clang 10.0.0git

Public Member Functions | List of all members
clang::MacroDirective::DefInfo Class Reference

`#include "clang/Lex/MacroInfo.h"`

## Public Member Functions
| DefInfo ()=default
| DefInfo (DefMacroDirective *DefDirective, SourceLocation UndefLoc, bool isPublic)
const DefMacroDirective * | getDirective () const
DefMacroDirective * | getDirective ()
SourceLocation | getLocation () const
MacroInfo * | getMacroInfo ()
const MacroInfo * | getMacroInfo () const
SourceLocation | getUndefLocation () const
bool | isUndefined () const
bool | isPublic () const
bool | isValid () const
bool | isInvalid () const
| operator bool () const
DefInfo | getPreviousDefinition ()
const DefInfo | getPreviousDefinition () const

## Detailed Description

Definition at line 338 of file MacroInfo.h.

## Constructor & Destructor Documentation

## ◆ DefInfo() [1/2]

clang::MacroDirective::DefInfo::DefInfo | ( |  | ) |
| default

## ◆ DefInfo() [2/2]

clang::MacroDirective::DefInfo::DefInfo | ( | DefMacroDirective * | DefDirective,
|  | SourceLocation | UndefLoc,
|  | bool | isPublic
| ) |  |
| inline

Definition at line 345 of file MacroInfo.h.

## Member Function Documentation

## ◆ getDirective() [1/2]

const DefMacroDirective* clang::MacroDirective::DefInfo::getDirective | ( |  | ) | const
| inline

Definition at line 349 of file MacroInfo.h.

## ◆ getDirective() [2/2]

DefMacroDirective* clang::MacroDirective::DefInfo::getDirective | ( |  | ) |
| inline

Definition at line 350 of file MacroInfo.h.

## ◆ getLocation()

SourceLocation clang::MacroDirective::DefInfo::getLocation | ( |  | ) | const
| inline

Definition at line 462 of file MacroInfo.h.

References isInvalid().

## ◆ getMacroInfo() [1/2]

MacroInfo * clang::MacroDirective::DefInfo::getMacroInfo | ( |  | ) |
| inline

Definition at line 468 of file MacroInfo.h.

References isInvalid().

## ◆ getMacroInfo() [2/2]

const MacroInfo* clang::MacroDirective::DefInfo::getMacroInfo | ( |  | ) | const
| inline

Definition at line 355 of file MacroInfo.h.

## ◆ getPreviousDefinition() [1/2]

MacroDirective::DefInfo clang::MacroDirective::DefInfo::getPreviousDefinition | ( |  | ) |
| inline

Definition at line 475 of file MacroInfo.h.

References isInvalid().

## ◆ getPreviousDefinition() [2/2]

const DefInfo clang::MacroDirective::DefInfo::getPreviousDefinition | ( |  | ) | const
| inline

Definition at line 371 of file MacroInfo.h.

References getDefinition().

## ◆ getUndefLocation()

SourceLocation clang::MacroDirective::DefInfo::getUndefLocation | ( |  | ) | const
| inline

Definition at line 359 of file MacroInfo.h.

## ◆ isInvalid()

bool clang::MacroDirective::DefInfo::isInvalid | ( |  | ) | const
| inline

Definition at line 365 of file MacroInfo.h.

## ◆ isPublic()

bool clang::MacroDirective::DefInfo::isPublic | ( |  | ) | const
| inline

Definition at line 362 of file MacroInfo.h.

## ◆ isUndefined()

bool clang::MacroDirective::DefInfo::isUndefined | ( |  | ) | const
| inline

Definition at line 360 of file MacroInfo.h.

References clang::SourceLocation::isValid().

Referenced by clang::Preprocessor::getLocalMacroDirective().

## ◆ isValid()

bool clang::MacroDirective::DefInfo::isValid | ( |  | ) | const
| inline

Definition at line 364 of file MacroInfo.h.

## ◆ operator bool()

clang::MacroDirective::DefInfo::operator bool | ( |  | ) | const
| inline explicit

Definition at line 367 of file MacroInfo.h.

The documentation for this class was generated from the following file:

- include/clang/Lex/MacroInfo.h